package cc.smtweb.system.bpm.web.engine.model.common;

import cc.smtweb.framework.core.db.vo.ModelTable;
import cc.smtweb.system.bpm.web.engine.flow.FlowInstance;
import cc.smtweb.system.bpm.web.engine.flow.FlowListener;

/**
 * Created by Akmm at 2022-09-01 15:03
 * 流程删除
 */
public class FlowModelDelHandler extends ModelDelHandler implements FlowListener {
    protected FlowInstance flowInstance;
    @Override
    protected void localDel(long id, ModelTable table) {
        long taskId = params.readLong("taskId");
        flowInstance = FlowInstance.createById(us, this, id, taskId);
        flowInstance.delete();
        super.localDel(id, table);

    }
}
